org.eclnt.jsfserver.rttools

## Class DynBeanUI

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.rttools.DynBeanUI

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject

      public class DynBeanUI
      extends PageBean
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DynBeanUI.DefaultExtension`
    `class` | `DynBeanUI.Grid`
    `class` | `DynBeanUI.GridItem`
    `class` | `DynBeanUI.GridItemSimpleDataType`
    `static class` | `DynBeanUI.IdText`
    `static interface` | `DynBeanUI.IExtension`
    `static interface` | `DynBeanUI.IListener`
    `class` | `DynBeanUI.MapString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynBeanUI()`
    `DynBeanUI(java.lang.Class beanClass, boolean onlyReolveFirstLevel, DynBeanUI.IListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getBean()`
    `java.lang.Class` | `getBeanClass()`
    `ROWDYNAMICCONTENTBinding` | `getContent()`
    `java.util.Map<java.lang.String,DynBeanUI.Grid>` | `getGrids()`
    `java.util.Map<java.lang.String,DynBeanUI.MapString>` | `getMapStrings()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `java.util.Map<java.lang.String,DynBeanUI>` | `getSubDynBeans()`
    `boolean` | `isObjectAvailable()`
    `boolean` | `isObjectNull()`
    `void` | `onCreateGridItem(ActionEvent event)`
    `void` | `onCreateSubBean(ActionEvent event)`
    `void` | `onMoveDownGridItem(ActionEvent event)`
    `void` | `onMoveUpGridItem(ActionEvent event)`
    `void` | `onPropertyAction(ActionEvent event)`
    `void` | `onRemoveSubBean(ActionEvent event)`
    `void` | `setBean(java.lang.Object bean)`
    `void` | `setListener(DynBeanUI.IListener listener)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynBeanUI

          public DynBeanUI()

    - #### DynBeanUI

          public DynBeanUI(java.lang.Class beanClass,
                           boolean onlyReolveFirstLevel,
                           DynBeanUI.IListener listener)

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### getContent

          public ROWDYNAMICCONTENTBinding getContent()

    - #### getBean

          public java.lang.Object getBean()

    - #### getSubDynBeans

          public java.util.Map<java.lang.String,DynBeanUI> getSubDynBeans()

    - #### getGrids

          public java.util.Map<java.lang.String,DynBeanUI.Grid> getGrids()

    - #### getMapStrings

          public java.util.Map<java.lang.String,DynBeanUI.MapString> getMapStrings()

    - #### getBeanClass

          public java.lang.Class getBeanClass()

    - #### isObjectNull

          public boolean isObjectNull()

    - #### isObjectAvailable

          public boolean isObjectAvailable()

    - #### setListener

          public void setListener(DynBeanUI.IListener listener)

    - #### setBean

          public void setBean(java.lang.Object bean)

    - #### onCreateSubBean

          public void onCreateSubBean(ActionEvent event)

    - #### onRemoveSubBean

          public void onRemoveSubBean(ActionEvent event)

    - #### onCreateGridItem

          public void onCreateGridItem(ActionEvent event)

    - #### onMoveUpGridItem

          public void onMoveUpGridItem(ActionEvent event)

    - #### onMoveDownGridItem

          public void onMoveDownGridItem(ActionEvent event)

    - #### onPropertyAction

          public void onPropertyAction(ActionEvent event)

Copyright © CaptainCasa Gmbh. All Rights Reserved.